This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 491600 - Crash at terminal.c:486
Crash at terminal.c:486
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 05:11 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 10:42:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-03-23 05:11:05 EDT
Description of problem:

[New Thread 6772]
Core was generated by `gnome-terminal'.
Program terminated with signal 11, Segmentation fault.
#0  IA__g_type_check_instance_cast (type_instance=0x64406e616d77656e, 
    iface_type=40364480) at gtype.c:3723
3723	      if (type_instance->g_class)
#0  IA__g_type_check_instance_cast (type_instance=0x64406e616d77656e, 
    iface_type=40364480) at gtype.c:3723
#1  0x0000003f12081bfd in gtk_box_size_request (widget=<value optimized out>, 
    requisition=0x2720b78) at gtkbox.c:276
#2  0x0000003b6ae0b839 in IA__g_closure_invoke (closure=0x2632e30, 
    return_value=0x0, n_param_values=2, param_values=0x2959330, 
    invocation_hint=0x7fff0a564550) at gclosure.c:767
#3  0x0000003b6ae21715 in signal_emit_unlocked_R (node=0x2681d30, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3174
#4  0x0000003b6ae232fe in IA__g_signal_emit_valist (instance=0x2720b40, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff0a564750)
    at gsignal.c:2977
#5  0x0000003b6ae236b4 in IA__g_signal_emit_by_name (instance=0x2720b40, 
    detailed_signal=0x3f12384872 "size-request") at gsignal.c:3071
#6  0x0000003f121be288 in _gtk_size_group_compute_requisition (
    widget=0x2720b40, requisition=0x7fff0a5648b0) at gtksizegroup.c:820
#7  0x0000003f120760bc in gtk_alignment_size_request (
    widget=<value optimized out>, requisition=0x2dbb198) at gtkalignment.c:428
#8  0x0000003b6ae0b839 in IA__g_closure_invoke (closure=0x2632e30, 
    return_value=0x0, n_param_values=2, param_values=0x2ddbe60, 
    invocation_hint=0x7fff0a564a30) at gclosure.c:767
#9  0x0000003b6ae21715 in signal_emit_unlocked_R (node=0x2681d30, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3174
#10 0x0000003b6ae232fe in IA__g_signal_emit_valist (instance=0x2dbb160, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff0a564c30)
    at gsignal.c:2977
#11 0x0000003b6ae236b4 in IA__g_signal_emit_by_name (instance=0x2dbb160, 
    detailed_signal=0x3f12384872 "size-request") at gsignal.c:3071
#12 0x0000003f121be288 in _gtk_size_group_compute_requisition (
    widget=0x2dbb160, requisition=0x7fff0a564d90) at gtksizegroup.c:820
#13 0x0000003f12284c3c in gtk_window_size_request (
    widget=<value optimized out>, requisition=0x278fb58) at gtkwindow.c:4909
#14 0x0000003b6ae0b8ee in IA__g_closure_invoke (closure=0x2632e30, 
    return_value=0x0, n_param_values=2, param_values=0x2a88b30, 
    invocation_hint=0x7fff0a564f10) at gclosure.c:767
#15 0x0000003b6ae21715 in signal_emit_unlocked_R (node=0x2681d30, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3174
#16 0x0000003b6ae232fe in IA__g_signal_emit_valist (instance=0x278fb20, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff0a565110)
    at gsignal.c:2977
#17 0x0000003b6ae236b4 in IA__g_signal_emit_by_name (instance=0x278fb20, 
    detailed_signal=0x3f12384872 "size-request") at gsignal.c:3071
#18 0x0000003f121be288 in _gtk_size_group_compute_requisition (
    widget=0x278fb20, requisition=0x7fff0a565290) at gtksizegroup.c:820
#19 0x0000003f122275bd in gtk_tooltip_position (
    new_tooltip_widget=<value optimized out>, display=<value optimized out>, 
    tooltip=<value optimized out>) at gtktooltip.c:876
#20 gtk_tooltip_show_tooltip (new_tooltip_widget=<value optimized out>, 
    display=<value optimized out>, tooltip=<value optimized out>)
    at gtktooltip.c:973
#21 0x0000003f122278bf in tooltip_popup_timeout (data=<value optimized out>)
    at gtktooltip.c:1048
#22 0x0000003f1301c84a in gdk_threads_dispatch (data=0x2ea7ee0) at gdk.c:498
#23 0x0000003b6aa3886b in g_timeout_dispatch (source=0x2d05780, 
    callback=0x267e9c0, user_data=0x3) at gmain.c:3253
#24 0x0000003b6aa3811e in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1814
#25 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367
#26 0x0000003b6aa3b878 in g_main_context_iterate (context=0x26606f0, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2448
#27 0x0000003b6aa3bd15 in IA__g_main_loop_run (loop=0x262dbe0) at gmain.c:2656
#28 0x0000003f12143f47 in IA__gtk_main () at gtkmain.c:1205
#29 0x00000000004151fe in main (argc=1, argv=0x7fff0a565708) at terminal.c:486

I just scrolled from one tab to another.

Version-Release number of selected component (if applicable):

gnome-terminal-2.25.91-2.fc11.x86_64

How reproducible:

Not sure of this specific crash but g-t is crashing really frequent for me. Usually on close of one of it's tabs.
Comment 1 Behdad Esfahbod 2009-03-26 00:32:56 EDT
Humm, can you update to 2.26.0 and see if that fixes the crashes?  I know some crashes were fixed.
Comment 2 Michal Nowak 2009-04-07 10:42:43 EDT
With 2.26.0 it's not crashing anymore.

Note You need to log in before you can comment on or make changes to this bug.